import { number, object, string } from 'yup'

export const assignmentSchema = object().shape({
  title: string().required().min(3),
  courseId: string().required(),
  sessionId: string().required(),
  deadline: string().notRequired(),
  priority: string().required(),
  description: string().nullable().notRequired(),
})

export const assignmentSubmissionReviewSchema = object().shape({
  score: number().typeError('نمره باید عدد باشد').required(),
  status: string().required(),
  reviewerNote: string().nullable().notRequired(),
})
